Skip to main content
GET
/
v1
/
mcp
/
server
curl "https://api.mcprank.com/v1/mcp/server?server_id=ai.exa/exa" \
  -H "X-API-Key: sk_mcp_rank_..."
{
  "id": "ai.exa/exa",
  "name": "Exa Web Search",
  "description": "Search the web with Exa's neural search engine",
  "remote_url": "https://mcp.exa.ai/v1/mcp",
  "auth_required": false,
  "auth_type": null
}

Get Server Info

Get information about an MCP server, including its URL and authentication requirements.

Request

curl "https://api.mcprank.com/v1/mcp/server?server_id=ai.exa/exa" \
  -H "X-API-Key: sk_mcp_rank_..."

Headers

X-API-Key
string
required
Your MCP Rank API key

Query Parameters

server_id
string
required
The MCP Rank server ID (e.g., ai.exa/exa)

Response

id
string
Server ID
name
string
Display name of the server
description
string
Description of what the server does
remote_url
string
The server’s MCP endpoint URL
auth_required
boolean
Whether authentication is required to call this server
auth_type
string
Type of authentication required (if any)
curl "https://api.mcprank.com/v1/mcp/server?server_id=ai.exa/exa" \
  -H "X-API-Key: sk_mcp_rank_..."
{
  "id": "ai.exa/exa",
  "name": "Exa Web Search",
  "description": "Search the web with Exa's neural search engine",
  "remote_url": "https://mcp.exa.ai/v1/mcp",
  "auth_required": false,
  "auth_type": null
}

Error Responses

Status CodeDescription
401Missing or invalid API key
404Server not found
410Server is no longer active
429Rate limit exceeded